%
% Run this to generate model series for paper's figures
%

tt         = [1960:1959+nyr*T]';
musdiagnp  = [tt,interp((DIAdivu+DIAreu)./GNPu*100,nyr)];
mfdiusgnp  = [tt,interp((FDIdivu+FDIreu)./GNPu*100,nyr)];
mnxgnp     = [tt,interp(NXu./GNPu*100,nyr)];
mnpignp    = [tt,interp((EQRu+DBRu-EQPu-DBPu)./GNPu*100,nyr)];
mnpiintgnp = [tt,interp(rb.*b.*Nu./GNPu*100,nyr)];
mcshare    = [tt,interp(Cu./GDPu*100,nyr)];
musrowgdp  = [tt,interp(GDPu,nyr),interp(GDPr,nyr), ...
                 interp(GDPu./(GDPu+GDPr),nyr)*100];  
mnapnet    = [tt,interp((NAPfdiu-NAPfdir)./GNPu*100*nyr,nyr)];
mnapusdia  = [tt,interp(NAPfdiu./GNPu*100*nyr,nyr)];
mnapfdius  = [tt,interp(NAPfdir./GNPu*100*nyr,nyr)];
musdiaret  = [tt,interp((DIAdivu+DIAreu)./(Nr.*kTdr)*100 /nyr,nyr)];
mfdiusret  = [tt,interp((FDIdivu+FDIreu)./(Nu.*kTfu)*100 /nyr,nyr)];

isave      = input('Write out files for the model? (0=no) ');

if isave~=0;
  save musdiagnp.dat musdiagnp -ascii
  save mfdiusgnp.dat mfdiusgnp -ascii
  save mnpignp.dat mnpignp -ascii
  save mnpiintgnp.dat mnpiintgnp -ascii
  save mcshare.dat mcshare -ascii
  save musrowgdp.dat musrowgdp -ascii
  save mnxgnp.dat mnxgnp -ascii
  save mnapusdia.dat mnapusdia -ascii
  save mnapfdius.dat mnapfdius -ascii
  save mnapnet.dat mnapnet -ascii
  save musdiaret.dat musdiaret -ascii
  save mfdiusret.dat mfdiusret -ascii
end;
