load RDparent.dat;
load VAparent.dat;
load NIaff_ownind.dat;
load TAaff_ownind.dat;
load NIaff_parind.dat;
load TAaff_parind.dat;
load NIaffall_ownind.dat;
load TAaffall_ownind.dat;
load NIparent.dat;
load TAparent.dat;
load DIposition_maj.dat;
load DIincome_maj.dat;
indlabels
i0  = [3,4,5,7:14,20:22,25,29,36,37,40,41,43:48,50:52,54,57,58,60,63,65:69, ...
       71:75,78:81,84]';
rdp  = RDparent./VAparent;
disp('Which affiliate dataset:');
disp('  1: Majority-owned, categorized by industry of affiliate ');
disp('  2: Majority-owned, categorized by industry of parent    ');
n    = input('  3: All alliates, categorized by industry of affiliate?  ');
disp(' ')
if n==1;
  reta = NIaff_ownind./TAaff_ownind;        % MOFAs, by own industry
elseif n==2
  reta = NIaff_parind./TAaff_parind;        % MOFAs, by parent's industry
else
  reta = NIaffall_ownind./TAaffall_ownind;  % All affiliates
end;
n    = input('Maximum number of missing observations per series allowed: ');
disp(' ')
i    = i0(sum(isnan(reta(i0,:)'))<=n & sum(isnan(rdp(i0,:)'))<=n);
x    = avgnan(rdp(i,:)')'*100;
y    = avgnan(reta(i,:)')'*100;
lab  = indnames(i,:);
n    = input('Choose all industries with R&D/VA above this percent: ');
disp(' ')
j    = find(x>n);
o    = ones(length(j),1);

[beta,se] = ols([o,x(j)],y(j));
figure(1)
plot(x(j),y(j),'b.',[0,35],[1,0;1,35]*beta,'k-'),text(x(j),y(j),lab(j,:));

disp('Regression of Affliate Return to R&D Intensity of Parents:')
disp(sprintf('   Return = %5.3f + %5.3f * R&D/VA of parents ',beta))
disp(sprintf('           (%5.3f) (%5.3f)                     ',se))

return
%
% Check robustness by dropping 3 outliers with R&D/VA<1% and 
% high non-R&D expenses: oil and gas extraction, beverages and
% tobacco products, motion picture and sound recording
%
i0  = [4,5,7,9:14,20:22,25,29,36,37,40,41,43:48,50,52,54,57,58,60,63,65:69, ...
       71:75,78:81,84]'; 
