%PLOTTS  Plot return differentials, R_affiliate - R_parent 
%        derived from IRS data on large multinationals and
%        BEA data for all multinationals.
%

%        Ellen McGrattan, 3-1-09

load retsoi.dat
load retbea.dat

ts  = 1982:2:2004;
rds = retsoi(2:13,2)-retsoi(2:13,3);
tb  = 1982:2006;
rdb = retbea(1:25,2)-retbea(1:25,3);

figure(1)
plot(ts,rds,'-o',tb,rdb,'-o', ...
     [1982;2006],[0;0],'k:'),axis([1982,2006,-1,7])
set(gca,'Fontsize',16)
text(1990,5,'Large Multinationals (IRS)','Fontsize',16)
text(1987,.5,'All Multinationals (BEA)','Fontsize',16)
title('Rates of Return for Affiliates Less Rates of Return for Parents', ...
      'Fontsize',16)

figure(2)
plot(ts,retsoi(2:13,2),'-o',tb,retbea(1:25,2),'-o')
axis([1982,2006,3,9])
set(gca,'Fontsize',16)
text(1990,7.5,'Large Multinationals (IRS)','Fontsize',16)
text(1987,3.5,'All Multinationals (BEA)','Fontsize',16)
title('Rates of Return for Affiliates','Fontsize',16)

figure(3)
plot(ts,retsoi(2:13,3),'-o',tb,retbea(1:25,3),'-o')
axis([1982,2006,0,5])
set(gca,'Fontsize',16)
text(1982.5,1.5,'Large Multinationals (IRS)','Fontsize',16)
text(1995,4.2,'All Multinationals (BEA)','Fontsize',16)
title('Rates of Return for Parents','Fontsize',16)

