function dnxuy = dnxstd(x,param);

param(7) = x;
alpha = param(1);
beta  = param(2);
delta = param(3);
lam   = param(4);
psi   = param(5);
Au    = param(6);
Ar    = param(7);
Nu    = param(8);
Nr    = param(9);

%
% Initial guesses:
%

Ku0   = 1.6049;
Kr0   = 3.4182;
Hu0   = .35*Nu;   
Hr0   = .35*Nr;   
X0    = [Ku0;Kr0;Hu0;Hr0];
%
% Solution
%
X     = secant('stdss',X0,param);
Ku    = X(1);
Kr    = X(2);
Hu    = X(3);
Hr    = X(4);
Xu    = delta*Ku;
Xr    = delta*Kr;
Yu    = Au*Ku^alpha*Hu^(1-alpha);
Yr    = Ar*Kr^alpha*Hr^(1-alpha);
Cu    = (Yu+Yr-Xu-Xr)/(1+(1-lam)*Nr/(lam*Nu));
Cr    = (1-lam)*Cu*Nr/(lam*Nu);
GDPu  = Yu;
GDPr  = Yr;
NXu   = GDPu-Cu-Xu;
NXr   = GDPr-Cr-Xr;

dnxuy = [Yu/Hu,Yr/Hr,Cu/Yu,Cr/Yr,Yr/Yu,Hu/Nu,Cu/Nu,Cr/Nr,Yu/Nu,Yr/Nr, ...
         Hu,Hr,NXu/Yu,Cu/Yu];
